Create or replace a work skill

put

/rest/ofscMetadata/v1/workSkills/{label}

This operation creates a work skill or replaces an existing work skill.

Request

Path Parameters
Body ()
The work skill object that needs to be created or updated.
Root Schema : Work Skills
Type: object
Title: Work Skills
Show Source
  • Title: Active
    Contains one of the following values: true or false.

    If true, then the work skill is active. If false, then the work skill is inactive. By default, it is true.

  • Title: Label
    Minimum Length: 1
    Maximum Length: 40
    The label of the work skill specified in the request.
  • Title: Name
    The name of the work skill in user's language.
  • Title: Sharing
    Allowed Values: [ "no sharing", "maximal", "minimal", "summary" ]
    The sharing option defined for work skills in the team.

    The allowed values are as follows:

    • Maximal: The team gets the maximum work skill level of all team members. This is the default value.
    • Minimal: The team gets the minimal work skill level of all team members.
    • No sharing: The team does not get the work skill of a team member.
    • Summary: The team gets the total sum of work skill levels of all the team members.
  • Translations
    Title: Translations
    The list of translations associated with the name of the work skill.
Nested Schema : Translations
Type: array
Title: Translations
The list of translations associated with the name of the work skill.
Show Source
Nested Schema : Translation
Type: object
Show Source
Back to Top

Response

Supported Media Types

200 Response

This section describes the 200 status response for this operation.
Body ()
Root Schema : Work Skills
Type: object
Title: Work Skills
Show Source
  • Title: Active
    Contains one of the following values: true or false.

    If true, then the work skill is active. If false, then the work skill is inactive. By default, it is true.

  • Title: Label
    Minimum Length: 1
    Maximum Length: 40
    The label of the work skill specified in the request.
  • Title: Name
    The name of the work skill in user's language.
  • Title: Sharing
    Allowed Values: [ "no sharing", "maximal", "minimal", "summary" ]
    The sharing option defined for work skills in the team.

    The allowed values are as follows:

    • Maximal: The team gets the maximum work skill level of all team members. This is the default value.
    • Minimal: The team gets the minimal work skill level of all team members.
    • No sharing: The team does not get the work skill of a team member.
    • Summary: The team gets the total sum of work skill levels of all the team members.
  • Translations
    Title: Translations
    The list of translations associated with the name of the work skill.
Nested Schema : Translations
Type: array
Title: Translations
The list of translations associated with the name of the work skill.
Show Source
Nested Schema : Translation
Type: object
Show Source

201 Response

This section describes the 201 status response for this operation.
Body ()
Root Schema : Work Skills
Type: object
Title: Work Skills
Show Source
  • Title: Active
    Contains one of the following values: true or false.

    If true, then the work skill is active. If false, then the work skill is inactive. By default, it is true.

  • Title: Label
    Minimum Length: 1
    Maximum Length: 40
    The label of the work skill specified in the request.
  • Title: Name
    The name of the work skill in user's language.
  • Title: Sharing
    Allowed Values: [ "no sharing", "maximal", "minimal", "summary" ]
    The sharing option defined for work skills in the team.

    The allowed values are as follows:

    • Maximal: The team gets the maximum work skill level of all team members. This is the default value.
    • Minimal: The team gets the minimal work skill level of all team members.
    • No sharing: The team does not get the work skill of a team member.
    • Summary: The team gets the total sum of work skill levels of all the team members.
  • Translations
    Title: Translations
    The list of translations associated with the name of the work skill.
Nested Schema : Translations
Type: array
Title: Translations
The list of translations associated with the name of the work skill.
Show Source
Nested Schema : Translation
Type: object
Show Source

Default Response

This section describes the default error response for this operation.
Body ()
Root Schema : Error
Type: object
Error response
Show Source
Back to Top

Examples

The following example shows how to create or replace a work skill by submitting a PUT request on the REST resource.

Example of Request Header

The following shows an example of the request header.

PUT /rest/ofscMetadata/v1/workSkills/NP HTTP/1.0
Host: <instance_name>.fs.ocs.oraclecloud.com 
Authorization: Basic c29hcEBwZXRyb2xpYXNoZXZ5Y2gucmVzdDox 
Accept: */*
Content-Length: 228

Example of Request Body

The following example shows the contents of the request body in JSON format.

{  
    "active":true,
    "sharing":"maximal",
    "translations":
    [
        {
            "language":"en",  
            "name":"Non-Pay"
        }
    ]
}

Example of Response Header

The following shows an example of the response header.

HTTP/1.1 201 Created
Server: nginx/1.6.2
Date: Fri, 24 Jul 2015 08:54:08 GMT
Content-Type: application/json; charset=utf-8
Transfer-Encoding: chunked
Connection: keep-alive

Example of Response Body

The following example shows the contents of the response body in JSON format.

{ 
    "label":"NP",
    "name":"Non-Pay",
    "active":true,
    "sharing":"maximal",
    "translations":[
        {
 
            "language":"en", 
            "name":"Non-Pay"
        }
    ]
    },
    "links":[ 
        { 
            "rel":"canonical",
            "href":"https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/workSkills/NP"
        },
        {
            "rel": "workSkillConditions",
            "href": "http://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/workSkills/NP/workSkillConditions"
        },
        { 
            "rel":"describedby",
            "href":"https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/metadata-catalog/workSkills"
        }
    ]
 }
Back to Top